## org.eclipse.datatools.sqltools.sqlbuilder.util
Class SQLFileUtil

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.util.SQLFileUtil

    public class SQLFileUtil

extends java.lang.Object

Author:
  Hui Cao

Constructor Summary
`SQLFileUtil()`

Method Summary
`static ISQLEditorConnectionInfo` `getConnectionInfo(org.eclipse.core.resources.IFile file)`
`static java.lang.String` `getEncodedConnectionInfo(org.eclipse.core.resources.IFile file)`
`static java.lang.String` `getEncodedOmitSchemaInfo(org.eclipse.core.resources.IFile file)`
`static IOmitSchemaInfo` `getOmitSchemaInfo(org.eclipse.core.resources.IFile file)`
`static void` `setEncodedConnectionInfo(org.eclipse.core.resources.IFile fileResource, java.lang.String encodedConnection)`
`static void` `setEncodedOmitSchemaInfo(org.eclipse.core.resources.IFile fileResource, java.lang.String encodedOmitSchemaInfo)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLFileUtil

    public SQLFileUtil()

Method Detail

### getConnectionInfo

    public static ISQLEditorConnectionInfo getConnectionInfo(org.eclipse.core.resources.IFile file)

### getEncodedConnectionInfo

    public static java.lang.String getEncodedConnectionInfo(org.eclipse.core.resources.IFile file)

### setEncodedConnectionInfo

    public static void setEncodedConnectionInfo(org.eclipse.core.resources.IFile fileResource,
                                                java.lang.String encodedConnection)

### getOmitSchemaInfo

    public static IOmitSchemaInfo getOmitSchemaInfo(org.eclipse.core.resources.IFile file)

### getEncodedOmitSchemaInfo

    public static java.lang.String getEncodedOmitSchemaInfo(org.eclipse.core.resources.IFile file)

### setEncodedOmitSchemaInfo

    public static void setEncodedOmitSchemaInfo(org.eclipse.core.resources.IFile fileResource,
                                                java.lang.String encodedOmitSchemaInfo)